---
title: contextmenu
slug: Web/HTML/Global_attributes/contextmenu
tags:
  - Deprecated
  - Global attributes
  - HTML
  - Reference
  - contextmenu
---
<div>{{HTMLSidebar("Global_attributes")}}</div>

<div class="warning">
<p>The <a href="https://html.spec.whatwg.org/multipage/obsolete.html#attr-contextmenu">contextmenu attribute is obsolete</a> and will be removed from all browsers</p>
</div>

<p>The <code><strong>contextmenu</strong></code> <a href="/en-US/docs/Web/HTML/Global_attributes">global attribute</a> is the <a href="/en-US/docs/Web/HTML/Global_attributes/id"><strong>id</strong></a> of a {{HTMLElement("menu")}} to use as the contextual menu for this element.</p>

<p>A <em>context menu</em> is a menu that appears upon user interaction, such as a right-click. HTML5 now allows us to customize this menu. Here are some implementation examples, including nested menus.</p>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html highlight:[1,10,15] notranslate">&lt;body contextmenu="share"&gt;
  &lt;menu type="context" id="share"&gt;
    &lt;menu label="share"&gt;
      &lt;menuitem label="Twitter" onclick="shareViaTwitter()"&gt;&lt;/menuitem&gt;
      &lt;menuitem label="Facebook" onclick="shareViaFacebook()"&gt;&lt;/menuitem&gt;
    &lt;/menu&gt;
  &lt;/menu&gt;
  &lt;ol&gt;
    &lt;li&gt;
      Anywhere in the example you can share the page on Twitter and
      Facebook using the Share menu from your context menu.
    &lt;/li&gt;
    &lt;li contextmenu="changeFont" id="fontSizing"&gt;
      On this specific list element, you can change the size of the text
      by using the "Increase/Decrease font" actions from your context menu
    &lt;/li&gt;
    &lt;menu type="context" id="changeFont"&gt;
      &lt;menuitem label="Increase Font" onclick="incFont()"&gt;&lt;/menuitem&gt;
      &lt;menuitem label="Decrease Font" onclick="decFont()"&gt;&lt;/menuitem&gt;
    &lt;/menu&gt;
    &lt;li contextmenu="ChangeImage" id="changeImage"&gt;
      On the image below, you can fire the "Change Image" action
      in your Context Menu.&lt;br /&gt;
      &lt;img src="https://developer.mozilla.org/media/img/promote/promobutton_mdn5.png"
          contextmenu="ChangeImage" id="promoButton" /&gt;
      &lt;menu type="context" id="ChangeImage"&gt;
        &lt;menuitem label="Change Image" onclick="changeImage()"&gt;&lt;/menuitem&gt;
      &lt;/menu&gt;
    &lt;/li&gt;
  &lt;/ol&gt;
&lt;/body&gt;
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js notranslate">function shareViaTwitter() {
  window.open("https://twitter.com/intent/tweet?text=" +
      "Hurray! I am learning ContextMenu from MDN via Mozilla");
}

function shareViaFacebook() {
  window.open("https://facebook.com/sharer/sharer.php?u=" +
      "https://developer.mozilla.org/en/HTML/Element/Using_HTML_context_menus");
}

function incFont() {
  document.getElementById("fontSizing").style.fontSize = "larger";
}

function decFont() {
  document.getElementById("fontSizing").style.fontSize = "smaller";
}

function changeImage() {
  var index = Math.ceil(Math.random() * 39 + 1);
  document.images[0].src =
      "https://developer.mozilla.org/media/img/promote/promobutton_mdn" +
      index + ".png";
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", "100%", 400)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("HTML5.1", "interactive-elements.html#context-menus", "contextmenu")}}</td>
   <td>{{Spec2("HTML5.1")}}</td>
   <td>Snapshot of {{SpecName("HTML WHATWG")}}, initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.global_attributes.contextmenu")}}</p>

<p>[1] An experimental implementation was originally available via the command line option <code>--enable-blink-features=ContextMenu</code>. Until Chrome 52 and Opera 39 it was additionally available by enabling the <em>Experimental Web Platform features</em> option, but got removed from that due to a <a href="https://bugs.chromium.org/p/chromium/issues/detail?id=412945">Web compatibility issue</a>. In June 2017, it was removed entirely from the browsers. This is documented in <a href="https://bugs.chromium.org/p/chromium/issues/detail?id=87553">Chrome bug 87553</a>.</p>

<p>[2] Support for the <code>contextmenu</code> attribute has been removed from Firefox Mobile ({{bug(1424252)}}).</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>All <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a></li>
 <li>{{domxref("HTMLElement.contextMenu")}}</li>
</ul>
